Subject: strange SkipMapping behavior

From: Jochen Klenner <[email-masked]>
Date: Mon, 7 Jul 2003 21:47:49 +0200 (MEST)

Hi all,

I observed this with version 2.5.8 from last saturday. It happens only
with certain programs, such as an old gimp version (1.1.7). If I set a
style like this:

Style Gimp StartsOnPage 1 0

all is well: when the gimp window appears the screen jumps to page 1 0.
But when I add:

Style Gimp SkipMapping

the StartsOnPage style is completely *ignored*. I tried this with an
otherwise empty config.
The funny thing is, it only happens with certain applications. With other
programs (e.g. xterm, emacs) it works exactly as documented. The programs
'assistent' and 'designer' from Qt 3.0.3 surfaced the problem, too.
But some small programs I wrote with the same toolkit behave correctly.
I'm quite puzzled.

Best regards,

Jochen

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: [email-masked]
Date: Mon, 7 Jul 2003 23:24:31 +0200

On Mon, Jul 07, 2003 at 09:47:49PM +0200, Jochen Klenner wrote:
> with certain programs, such as an old gimp version (1.1.7).
>
> If I set a
> style like this:
> 

Gimp by default remembers the position at which if was when it was
closed the last time.  As you probably were on page 1 0 when you
did this, It remembered for example (0 0), which is always the
page you are looking at when you start it.  Currently there is no
way to have both:  start it on page 1 0 and remember its position
on the page.  To 'fix' the problem, either disable that gimp
remembers its position in the preferences dialog or put this in
your .fvwm2rc:

  Style Gimp NoPPosition

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 8 Jul 2003 08:22:02 +0200

> > But some small programs I wrote with the same toolkit behave correctly.

I've committed a patch to CVS.

Bye

Dominik ^_^  ^_^